<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="es">
<head>
<!-- Generated by javadoc (11.0.7) on Sat May 16 21:40:21 COT 2020 -->
<title>Funciones</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-05-16">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Funciones";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9,"i6":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">EjercciosFunciones</a></div>
<h2 title="Class Funciones" class="title">Class Funciones</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>EjercciosFunciones.Funciones</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">Funciones</span>
extends java.lang.Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.util.Scanner</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#entrada">entrada</a></span></code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">Funciones</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#areaCirculo(double)">areaCirculo</a></span>&#8203;(double&nbsp;radio)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#areaRectangulo(double,double)">areaRectangulo</a></span>&#8203;(double&nbsp;ladoA,
              double&nbsp;ladoB)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#intermedio()">intermedio</a></span>()</code></th>
<td class="colLast">
<div class="block">Realiza una función llamada intermedio(a, b) que a partir de dos números,
 devuelva su punto intermedio.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#main(java.lang.String%5B%5D)">main</a></span>&#8203;(java.lang.String[]&nbsp;args)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#recortar()">recortar</a></span>()</code></th>
<td class="colLast">
<div class="block">Realiza una función llamada recortar(numero, minimo, maximo) que reciba tres parámetros.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>static double</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#relacionAB()">relacionAB</a></span>()</code></th>
<td class="colLast">
<div class="block">Realiza una función llamada relacion(a, b) que a partir de dos números cumpla lo siguiente:

     Si el primer número es mayor que el segundo, debe devolver 1.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>static int[][]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#separar(int%5B%5D)">separar</a></span>&#8203;(int[]&nbsp;numeros)</code></th>
<td class="colLast">
<div class="block">Realiza una función separar(lista) que tome una lista de números enteros y devuelva dos listas ordenadas.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="entrada">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>entrada</h4>
<pre>public static&nbsp;java.util.Scanner entrada</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Funciones</h4>
<pre>public&nbsp;Funciones()</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="areaRectangulo(double,double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>areaRectangulo</h4>
<pre class="methodSignature">public static&nbsp;double&nbsp;areaRectangulo&#8203;(double&nbsp;ladoA,
                                    double&nbsp;ladoB)
                             throws jdk.jshell.spi.ExecutionControl.NotImplementedException</pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>jdk.jshell.spi.ExecutionControl.NotImplementedException</code></dd>
</dl>
</li>
</ul>
<a id="areaCirculo(double)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>areaCirculo</h4>
<pre class="methodSignature">public static&nbsp;double&nbsp;areaCirculo&#8203;(double&nbsp;radio)
                          throws jdk.jshell.spi.ExecutionControl.NotImplementedException</pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>jdk.jshell.spi.ExecutionControl.NotImplementedException</code></dd>
</dl>
</li>
</ul>
<a id="relacionAB()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>relacionAB</h4>
<pre class="methodSignature">public static&nbsp;double&nbsp;relacionAB()
                         throws jdk.jshell.spi.ExecutionControl.NotImplementedException</pre>
<div class="block">Realiza una función llamada relacion(a, b) que a partir de dos números cumpla lo siguiente:

     Si el primer número es mayor que el segundo, debe devolver 1.
     Si el primer número es menor que el segundo, debe devolver -1.
     Si ambos números son iguales, debe devolver un 0.

 Comprueba la relación entre los números: '5 y 10', '10 y 5' y '5 y 5'.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>jdk.jshell.spi.ExecutionControl.NotImplementedException</code></dd>
</dl>
</li>
</ul>
<a id="intermedio()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>intermedio</h4>
<pre class="methodSignature">public static&nbsp;double&nbsp;intermedio()
                         throws jdk.jshell.spi.ExecutionControl.NotImplementedException</pre>
<div class="block">Realiza una función llamada intermedio(a, b) que a partir de dos números,
 devuelva su punto intermedio. Cuando lo tengas comprueba el punto intermedio entre -12 y 24:</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>jdk.jshell.spi.ExecutionControl.NotImplementedException</code></dd>
</dl>
</li>
</ul>
<a id="recortar()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>recortar</h4>
<pre class="methodSignature">public static&nbsp;double&nbsp;recortar()
                       throws jdk.jshell.spi.ExecutionControl.NotImplementedException</pre>
<div class="block">Realiza una función llamada recortar(numero, minimo, maximo) que reciba tres parámetros.
 El primero es el número a recortar, el segundo es el límite inferior y el tercero el
 límite superior. La función tendrá que cumplir lo siguiente:

     Devolver el límite inferior si el número es menor que éste
     Devolver el límite superior si el número es mayor que éste.
     Devolver el número sin cambios si no se supera ningún límite.

 Comprueba el resultado de recortar 15 entre los límites 0 y 10.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>jdk.jshell.spi.ExecutionControl.NotImplementedException</code></dd>
</dl>
</li>
</ul>
<a id="separar(int[])">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>separar</h4>
<pre class="methodSignature">public static&nbsp;int[][]&nbsp;separar&#8203;(int[]&nbsp;numeros)
                       throws jdk.jshell.spi.ExecutionControl.NotImplementedException</pre>
<div class="block">Realiza una función separar(lista) que tome una lista de números enteros y devuelva dos listas ordenadas.
 La primera con los números pares y la segunda con los números impares.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>jdk.jshell.spi.ExecutionControl.NotImplementedException</code></dd>
</dl>
</li>
</ul>
<a id="main(java.lang.String[])">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>main</h4>
<pre class="methodSignature">public static&nbsp;void&nbsp;main&#8203;(java.lang.String[]&nbsp;args)
                 throws jdk.jshell.spi.ExecutionControl.NotImplementedException,
                        java.lang.InterruptedException</pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>jdk.jshell.spi.ExecutionControl.NotImplementedException</code></dd>
<dd><code>java.lang.InterruptedException</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
